---
description: Upgrading your Docker subscription
keywords: Docker Hub, upgrade, subscription, Pro, Team, pricing plan,
title: Upgrade your subscription
redirect_from:
- /docker-hub/upgrade/
- /docker-hub/billing/upgrade/
---

This page contains information on how to purchase a Pro or a Team plan. It also contains information on how to upgrade your existing plan and update your billing information. You can upgrade to a Pro or a Team plan from a Free plan, or from your current legacy plan. When you upgrade to a Pro or a Team plan, you can immediately use all the features and entitlements offered in your new plan. For detailed information on features available in each plan, see [Docker Pricing](https://www.docker.com/pricing){: target="_blank" rel="noopener" class="_"}.

> **Note:**
>
> If you were previously on a legacy per-repository plan, your plan has been converted to a new Pro or Team monthly plan. For details, see [Pricing FAQ](faq.md).

## Purchase a Pro plan

The following section contains information on how to purchase a Pro plan for new customers.

To purchase a Pro plan:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing** to go to the **Billing Details** page. This page displays billing information about your existing user account.

    The Docker Hub **Pricing** page displays information about the new pricing plans.

3. Ensure you have selected your personal account on the left side of the **Billing Details** page.

4. Click **Change plan**.

5.  Review the plan details in the **Pro** section and click **Upgrade Now**.

5. The **Payment Method** page displays the cost for the annual plan by default. If you prefer to opt for the monthly plan, choose **pay monthly**.

6. Enter the card details and click **Purchase**.

7. Verify your email address.

8. Open the drop-down menu next to your username in the top-right corner and select **Billing**.

    The **Billing** page displays information about your new Pro plan and the total cost.
    
## Purchase a Team plan

The following section contains information on how to purchase a Team plan for new organizations. If you do not have a team plan, click here to learn more on how to create a team.

To purchase a Team plan:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Click **Organizations** in the toolbar and select your organization.

3. Click the **Billing** tab and click **Change plan**.
     The Docker Hub **Pricing** page displays information about the new pricing plans.

4. Review the plan details in the **Team** section and click **Buy Now**.

5. Enter a name for your new organization and add a company name.

6. The **Organization size** page displays the cost for the annual plan by default. If you prefer to change this, select **Pay Monthly**.

7. Specify the number of users you’d like to add to your organization and click **Continue to Payment**.

8. On the **Payment Method** page, enter the card details and click **Purchase**.

9. Verify your email address.

10. Navigate to Organizations from the menu at the top of the page, choose your organization, and select **Billing**. The Billing tab displays information about your new Team plan and the total cost.

## Upgrade to a Pro plan

To upgrade to a Pro plan:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing**. The **Billing Details** page displays billing information about your existing user account.

3. Ensure you have selected your personal account on the left side of the **Billing Details** page.

    ![Billing details personal account](images/billing-personal-account.png){:width="750px"}

4. Click **Change plan** to choose a new plan.

5. Review the plan details in the **Pro** section and click **Buy Now**.

6. By default, the **Payment Method** page displays the annual cost to upgrade to a Pro plan. If you prefer to upgrade to a monthly plan, choose **pay monthly**.

7. Review the card details and the information displayed and click **Purchase** to confirm.

    The **Billing** page now displays a confirmation of the upgrade with an invoice containing details about your new plan, entitlements, and the total cost.

8. You’ll also receive an email confirming the cancellation of your legacy plan.

## Upgrade to a Team plan

To upgrade to a Team plan:

1. Log into an owner account for the organization in [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"}.

2. Navigate to **Organizations** from the menu at the top of the page, then choose your organization.

3. Select the **Billing** tab.

4. Click **Change plan** to upgrade to a new plan.

5. Review the plan details in the **Team** section and click **Buy Now**.

6. By default, the plan displays the annual cost to upgrade the existing number of users to a Team plan. To switch to a monthly plan, click **Pay Monthly**.

7. Review and adjust the number of users as required and click **Continue to payment**.

8. Review the card details and click **Purchase** to confirm.

    The **Billing page** now displays a confirmation of the upgrade with an invoice containing details about your new plan, entitlements, and the total cost.

    You’ll also receive an email confirming the cancellation of your legacy plan.

## Upgrade from a monthly Team plan to an annual plan

To upgrade from a monthly Team plan to an annual Team plan:

1. Log into an owner account for the organization in [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"}.
2. Navigate to **Organizations** from the menu at the top of the page, choose your organization, and select the **Billing** tab.
3. Click **switch to annual billing**.
4. Review the information displayed on the **Change to an Annual Plan** page and click **Accept Terms and Purchase** to confirm.

    The Billing page now displays a confirmation of the upgrade with an invoice containing details about your new plan, entitlements, and the total cost.

## Upgrade from a monthly Pro plan to an annual plan

To upgrade from a monthly Pro plan to an annual Pro plan:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.
2. Open the drop-down menu next to your username in the top-right corner and select **Billing** to go to the **Billing Details** page. This page displays billing information about your existing user account.
3. Ensure you have selected your personal account on the left side of the **Billing Details** page.
4. Click **switch to annual billing**.
5. Review the information displayed on the **Change to an Annual Plan** page and click **Accept Terms and Purchase** to confirm.

    The Billing page now displays a confirmation of the upgrade with an invoice containing details about your new plan, entitlements, and the total cost.

## Update billing information

> **Note**
>
> You must be on owner of the organization to make changes to the billing information.

To update the billing information for your organization:

1. Log into an owner account for the organization in [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"}.

2. Select **Organizations** from the menu at the top of the page. This displays a list of organizations.

3. Choose the organization from the list and select the **Billing** tab.

4. Select **Payment Methods**.

5. The **Payment Information** page displays your existing billing information and allows you to edit the details.

    > **Note**
    >
    > The details displayed in the **Contact Information** section is used to generate your invoice. All billing-related information is sent to the email address listed in this section.

6. Change the details as required and then click **Update** to save your changes.

To update the billing information for your user account:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing**. The Billing page displays billing information about your existing user account.

3. Select **Payment Methods**.

4. The **Payment Information** page displays your existing billing information and allows you to edit the details.

5. Click **Update** to save your changes.
